/*
 * EndOfException.java
 *
 * Created on 4 December 2008
 *
 * Version 1.1
 *
 * Copyright (c) Kieran Greer
 */


package org.jlog2.exception;


/**
 * This class should be used to indicate an end to the exception processing by the default
 * {@link ExceptionHandler}. The exception and message can still be propagated for
 * processing by other pats of a program however.
 * @author Kieran Greer
 */
public class EndOfException extends Exception 
{
    /**
     * Creates a new instance of EndOfException. 
     * @param message the error message.
     */
    public EndOfException(String message) {
        super(message);
    } 
}
